@echo off


rem   *******************************************************************
rem   This batch runs the necessary scripts for the Fidelio F&B interface
rem   and calls the FB_POS.
rem   
rem   Read the attached readme.txt for installation steps
rem
rem   Interface.bat Ver. 1.00 
rem   Made by:		AVincent  12/02/1997
rem   
rem   Modified by:	
rem   *******************************************************************
cls

rem   *******************************************************************
rem
rem   Create the location for the export files and rename the log file 
rem   from the previous day
rem
rem   *******************************************************************


IF NOT EXIST C:\RES\interface\. MD C:\RES\interface
IF NOT EXIST C:\RES\interface\ZIP\. MD C:\RES\interface\ZIP

if exist C:\RES\interface\interface.OLD DEL C:\RES\interface\interface.OLD
if exist C:\RES\interface\interface.LOG RENAME C:\RES\interface\interface.LOG interface.OLD


DATE /T >> C:\RES\interface\interface.LOG
ECHO Beginning interface.BAT at>> C:\RES\interface\interface.LOG
TIME /T >> C:\RES\interface\interface.LOG

rem   ********************************************************************
rem   
rem   Roll out of the 7 previous days archive of the exports files
rem 
rem   ********************************************************************


ECHO Doing zip roll out >> C:\RES\interface\interface.LOG
TIME /T >> C:\RES\interface\interface.LOG

if exist C:\RES\interface\007.ZIP  del C:\RES\interface\007.ZIP
if exist C:\RES\interface\006.ZIP  rename C:\RES\interface\006.ZIP 007.ZIP
if exist C:\RES\interface\005.ZIP  rename C:\RES\interface\005.ZIP 006.ZIP
if exist C:\RES\interface\004.ZIP  rename C:\RES\interface\004.ZIP 005.ZIP
if exist C:\RES\interface\003.ZIP  rename C:\RES\interface\003.ZIP 004.ZIP
if exist C:\RES\interface\002.ZIP  rename C:\RES\interface\002.ZIP 003.ZIP
if exist C:\RES\interface\001.ZIP  rename C:\RES\interface\001.ZIP 002.ZIP


rem    *********************************************************************
rem
rem    Archiving the exports files from the previous day
rem
rem    *********************************************************************


ECHO Archiving the exports files from previous day at>> C:\RES\interface\interface.LOG
TIME /T >> C:\RES\interface\interface.LOG


IF EXIST C:\RES\interface\FAMDEF copy C:\RES\interface\FAMDEF C:\RES\interface\ZIP\FAMDEF 
IF EXIST C:\RES\interface\FAMDEF del C:\RES\interface\FAMDEF 
IF EXIST C:\RES\interface\MAJDEF copy C:\RES\interface\MAJDEF C:\RES\interface\ZIP\MAJDEF 
IF EXIST C:\RES\interface\MAJDEF del C:\RES\interface\MAJDEF
IF EXIST C:\RES\interface\MIDEF copy C:\RES\interface\MIDEF C:\RES\interface\ZIP\MIDEF 
IF EXIST C:\RES\interface\MIDEF del C:\RES\interface\MIDEF 
IF EXIST C:\RES\interface\RVCDEF copy C:\RES\interface\RVCDEF C:\RES\interface\ZIP\RVCDEF 
IF EXIST C:\RES\interface\RVCDEF del C:\RES\interface\RVCDEF 
IF EXIST C:\RES\interface\TAXDEF copy C:\RES\interface\TAXDEF C:\RES\interface\ZIP\TAXDEF 
IF EXIST C:\RES\interface\TAXDEF del C:\RES\interface\TAXDEF
IF EXIST C:\RES\interface\RVCREV copy C:\RES\interface\RVCREV C:\RES\interface\ZIP\RVCREV 
IF EXIST C:\RES\interface\RVCREV del C:\RES\interface\RVCREV


CD\RES\interface\ZIP
PKZIP 001.ZIP *.*
IF EXIST 001.ZIP COPY C:\RES\interface\ZIP\001.ZIP C:\RES\interface\001.ZIP
CD\RES\interface\ZIP
IF EXIST *.* DEL /Q *.*


rem    *********************************************************************
rem
rem    Exporting the data from 3700 database
rem
rem    *********************************************************************

     
ECHO  Exporting 3700 data at>> C:\RES\BIN Log files>> C:\RES\interface\interface.LOG
TIME /T >> C:\RES\interface\interface.LOG


CD\RES\scripts\fb

isql -q rvcdef
isql -q taxdef
isql -q majdef
isql -q famdef
isql -q midef
isql -q rvcrev

rem    **********************************************************************
rem
rem    Copying the export files to the F&B directory
rem    replace <server_name> with your Novell server name
rem
rem    **********************************************************************

ECHO Transfer to the network drive at>> C:\RES\interface\interface.LOG
TIME /T >> C:\RES\interface\interface.LOG 

CD\RES\interface

COPY RVCDEF C:\FIDELIO\FB_DATA
COPY TAXDEF C:\FIDELIO\FB_DATA
COPY MAJDEF C:\FIDELIO\FB_DATA
COPY FAMDEF C:\FIDELIO\FB_DATA
COPY MIDEF  C:\FIDELIO\FB_DATA
COPY RVCREV C:\FIDELIO\FB_DATA


exit


rem *** end of interfac.bat file ****
